.demonstrationCourses-main-title {
  font-size: 22px;
  text-align: center;
  margin-bottom: 40px;
}

.demonstrationCourses-main-impressions {
  margin-top: 40px;
}

.demonstrationCourses-main-impressions-title {
  display: flex;
  align-items: center;
  font-size: 22px;
  font-weight: bold;
  margin-bottom: 40px;
}

.demonstrationCourses-main-impressions-title::before,
.demonstrationCourses-main-impressions-title::after {
  content: "";
  display: block;
  border-top: 2px dashed rgba(210, 0, 11, 0.49);
  flex: 1;
}

.demonstrationCourses-main-impressions-title::before {
  margin-right: 20px;
}

.demonstrationCourses-main-impressions-title::after {
  margin-left: 20px;
}

.demonstrationCourses-main-impressions-list-item {
  color: white;
  font-size: 16px;
  padding: 15px 20px;
  background-color: var(--base-color1);
  margin-bottom: 10px;
  display: block;
}

/* 相关视频样式 */
.demonstrationCourses-main-impressions-list {
  display: flex;
}

.demonstrationCourses-main-impressions-list-item {
  display: block;
  width: calc(calc(100% - 30px) / 4);
  margin-right: 10px;
  height: 140px;
  position: relative;
  padding: 0;
  overflow: hidden;
}

.demonstrationCourses-main-impressions-list-item:hover {
  transform: translateY(-2px);
  box-shadow: 0 0px 20px -3px rgba(139, 6, 5);
}

.demonstrationCourses-main-impressions-list-item:nth-child(4n) {
  margin-right: 0;
}

.demonstrationCourses-main-impressions-list-item-banner {
  width: 100%;
}

.demonstrationCourses-main-impressions-list-item-banner img {
  height: 100%;
}

.demonstrationCourses-main-impressions-list-item-footer {
  position: absolute;
  height: 30px;
  background-color: rgba(0, 0, 0, 0.5);
  left: 0;
  width: 100%;
  padding: 0 10px;
  display: flex;
  align-items: center;
  bottom: 0;
  box-sizing: border-box;
}

.demonstrationCourses-main-impressions-list-item-footer-text {
  position: relative;
  z-index: 3;
  font-size: 14px;
}

.demonstrationCourses-main-impressions-list-item-play {
  position: absolute;
  z-index: 3;
  width: 41px;
  height: 41px;
  background-color: rgba(255, 255, 255, 0.85);
  border-radius: 50%;
  top: 50%;
  left: 50%;
  box-sizing: border-box;
  transform: translate(-50%, -50%);
  display: flex;
  align-items: center;
  justify-content: center;
}

.demonstrationCourses-main-impressions-list-item-play img {
  width: 40%;
  transform: translateX(3px);
}

.demonstrationCourses-main-impressions-more {
  display: flex;
  justify-content: center;
  margin-top: 40px;
}

.moreModule {
  display: flex;
  align-items: center;
  font-size: 16px;
  margin-right: 4px;
  color: var(--base-color1);
  line-height: 0.8;
  cursor: pointer;
}

.moreModule span {
  display: inline-block;
  line-height: 0;
}

.moreModule span:last-child {
  font-size: 20px;
}
